function chi = calc_chisquared(table)

a = table(1,1);
b = table(1,2);
c = table(2,1);
d = table(2,2);

num = (a * d - b * c)^2 * sum([a, b, c, d]);
den = (a + b) * (c + d) * (a + c) * (b + d);

if (den ~= 0)
    chi = num/den;
else
    chi = 0;
end
