% turns the pruned data into the right format for data mining
load feature_map;
load_feature_map;
storm_max = load('max_mins_by_storm.csv');
sim_max = load('max_mins_by_sim.csv');

for f = 1:length(feature_map)
   hist(storm_max(:,f));
   % h(1) = title(feature_map(f).name);
   my_str = [feature_map(f).name, ', ', feature_map(f).units];
   h(1) = xlabel(my_str);
   h(2) = ylabel('Storms');
   set(h, 'FontSize', 14);
   set(gca, 'FontSize', 14);

   fname = ['hist_by_storm_feature', num2str(f)];
   print('-depsc', fname);
   print('-dpng', fname);
   
   hist(sim_max(:,f));
   % h(1) = title(feature_map(f).name);
   h(1) = xlabel(my_str);
   h(2) = ylabel('Simulations');
   set(h, 'FontSize', 14);
   set(gca, 'FontSize', 14);

   fname = ['hist_by_sim_feature', num2str(f)];
   print('-depsc', fname);
   print('-dpng', fname);
end
