global alphabet_size trie_word_size averaging_interval;

rootPath = getenv('EXP_PATH');
if (isempty(rootPath))
  rootPath = '/home/amy/repos/weather/mining_mocap/';
end

var = getenv('ALPHA');
if (isempty(var))
  alphabet_size = 3;
else
  alphabet_size = str2num(var);
  disp(['alphabet_size is ', var]);
end

var = getenv('TRIE');
if (isempty(var))
  trie_word_size = 2;
else
  trie_word_size = str2num(var);
  disp(['trie_word_size is ', var]);
end

var = getenv('AVG');
if (isempty(var))
  averaging_interval = 4;
else
  averaging_interval = str2num(var);
  disp(['averaging_interval is ', var]);
end

this_dir = ['let', num2str(alphabet_size), '_word', num2str(trie_word_size), ...
             '_avg', num2str(averaging_interval)];
%            , '_run', getenv('RUN')]
% fullPath = [rootPath, this_dir, '/']
fullPath = rootPath;
