function num = get_next_num(current_num, alphabet_size, word_size)

num = current_num;

% can we just increment?
if (num(word_size) < alphabet_size)
    num(word_size) = num(word_size) + 1;
else
    % reset the low order bit and propagate the count upward
    num(word_size) = 1;
    index = word_size - 1;
    num(index) = num(index) + 1;

    while ((num(index) > alphabet_size) && index > 0)
        num(index) = 1;
        index = index - 1;
        num(index) = num(index) + 1;
    end
end