load feature_map;

load explorationTornadoData;
exp = data;
clear data;

load eurekaTornadoData;
eur = data;
clear data;

load discoveryTornadoData;
dis = data;
clear data;

fid = fopen('max_mins_by_storm.csv', 'w+');
fprintf(fid, 'storm_name, feature_name, max, min\n');

for f = 1:size(feature_map,2)
% for f = 1:1
    clear storm;
    storm = struct;

    for s = 1:exp(1).num_pos
        if (isfield(storm, exp(s).pos_name))
            newval = [getfield(storm, exp(s).pos_name), exp(s).pos(f,:)];
        else
            newval = exp(s).pos(f,:);
        end
        storm = setfield(storm, exp(s).pos_name, newval);
    end

    for s = 1:exp(1).num_maybe
        if (isfield(storm, exp(s).maybe_name))
            newval = [getfield(storm, exp(s).maybe_name), exp(s).maybe(f,:)];
        else
            newval = exp(s).maybe(f,:);
        end
        storm = setfield(storm, exp(s).maybe_name, newval);
    end

    for s = 1:exp(1).num_neg
        if (isfield(storm, exp(s).neg_name))
            newval = [getfield(storm, exp(s).neg_name), exp(s).neg(f,:)];
        else
            newval = exp(s).neg(f,:);
        end
        storm = setfield(storm, exp(s).neg_name, newval);
    end

    % eureka
    for s = 1:eur(1).num_pos
        if (isfield(storm, eur(s).pos_name))
            newval = [getfield(storm, eur(s).pos_name), eur(s).pos(f,:)];
        else
            newval = eur(s).pos(f,:);
        end
        storm = setfield(storm, eur(s).pos_name, newval);
    end

    for s = 1:eur(1).num_maybe
        if (isfield(storm, eur(s).maybe_name))
            newval = [getfield(storm, eur(s).maybe_name), eur(s).maybe(f,:)];
        else
            newval = eur(s).maybe(f,:);
        end
        storm = setfield(storm, eur(s).maybe_name, newval);
    end

    for s = 1:eur(1).num_neg
        if (isfield(storm, eur(s).neg_name))
            newval = [getfield(storm, eur(s).neg_name), eur(s).neg(f,:)];
        else
            newval = eur(s).neg(f,:);
        end
        storm = setfield(storm, eur(s).neg_name, newval);
    end


    % discovery
    for s = 1:dis(1).num_pos
        if (isfield(storm, dis(s).pos_name))
            newval = [getfield(storm, dis(s).pos_name), dis(s).pos(f,:)];
        else
            newval = dis(s).pos(f,:);
        end
        storm = setfield(storm, dis(s).pos_name, newval);
    end

    for s = 1:dis(1).num_maybe
        if (isfield(storm, dis(s).maybe_name))
            newval = [getfield(storm, dis(s).maybe_name), dis(s).maybe(f,:)];
        else
            newval = dis(s).maybe(f,:);
        end
        storm = setfield(storm, dis(s).maybe_name, newval);
    end

    for s = 1:dis(1).num_neg
        if (isfield(storm, dis(s).neg_name))
            newval = [getfield(storm, dis(s).neg_name), dis(s).neg(f,:)];
        else
            newval = dis(s).neg(f,:);
        end
        storm = setfield(storm, dis(s).neg_name, newval);
    end


    names = fieldnames(storm);
    
    for n = 1:size(names)
        name = names{n};
        
        fprintf(fid, '%s,%s,%f,%f\n', name, feature_map(f).name, ...
            max(getfield(storm, name)), min(getfield(storm, name)));
        
    end

    fprintf(fid, '\n\n');
end

fclose(fid);